﻿<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>netcoreapp3.1</TargetFramework>
        <IsPackable>false</IsPackable>
        <LangVersion>latest</LangVersion>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="FluentAssertions" Version="5.10.3" />
        <PackageReference Include="Microsoft.AspNet.WebApi.Client" Version="5.2.9" />
        <PackageReference Include="Microsoft.AspNetCore.Mvc.Testing" Version="3.1.7" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="3.1.7" />
        <PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.5.0" />
        <PackageReference Include="xunit" Version="2.4.0" />
        <PackageReference Include="xunit.runner.visualstudio" Version="2.4.0" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Otus.Teaching.Pcf.GivingToCustomer.DataAccess\Otus.Teaching.Pcf.GivingToCustomer.DataAccess.csproj" />
      <ProjectReference Include="..\Otus.Teaching.Pcf.GivingToCustomer.Integration\Otus.Teaching.Pcf.GivingToCustomer.Integration.csproj" />
      <ProjectReference Include="..\Otus.Teaching.Pcf.GivingToCustomer.WebHost\Otus.Teaching.Pcf.GivingToCustomer.WebHost.csproj" />
    </ItemGroup>

    <ItemGroup>
      <Folder Include="Api" />
      <Folder Include="Components" />
    </ItemGroup>

</Project>
